# Post the shipping details of the buyer from this online transaction

Endpoint: POST /api/v1/transactions/{transaction_id}/shipping_details
Version: 0.1.0
Security: OAuth2

## Path parameters:

  - `transaction_id` (integer, required)

## Request fields (application/json):

  - `address_line_1` (string)
    Example: "3672 Massillon Rd"

  - `address_line_2` (string)
    Example: "3672 Massillon Rd"

  - `city` (string)
    Example: "Green"

  - `country` (string, required)
    Example: "us"

  - `name` (string, required)
    Example: "John Doe"

  - `phone` (string)
    Example: "330-896-9303"

  - `postal_code` (string)
    Example: "44685"

  - `state` (string)
    Example: "Ohio"

## Response 200 fields (application/json):

  - `address` (object, required)

  - `address.city` (string, required)

  - `address.country` (string, required)

  - `address.line1` (string, required)

  - `address.line2` (string, required)

  - `address.postal_code` (string, required)

  - `address.state` (string, required)

  - `name` (string, required)

  - `phone` (string, required)


## Response 400 fields

## Response 404 fields
